{
  "name": "@app/db",
  "private": true,
  "version": "0.1.0",
  "main": "build/main/index.js",
  "author": "Abel Luck <abel@guardianproject.info>",
  "license": "AGPL-3.0-or-later",
  "dependencies": {
    "@digiresilience/amigo": "^0.3.3",
    "find-yarn-workspace-root": "^2.0.0",
    "graphile-migrate": "^1.0.2"
  },
  "devDependencies": {
    "@app/config": "0.1.0",
    "@digiresilience/amigo-dev": "0.2.0"
  },
  "scripts": {
    "build": "tsc -p tsconfig.json",
    "build-test": "tsc -p tsconfig.json",
    "doc:html": "typedoc src/ --exclude '**/*.test.ts' --exclude '**/*.spec.ts' --name $npm_package_name --readme README.md --target es2019 --mode file --out build/docs",
    "doc": "yarn run doc:html",
    "fix:lint": "eslint src --ext .ts --fix",
    "fix:prettier": "prettier \"src/**/*.ts\" --write",
    "worker": "NODE_ENV=development yarn cli worker",
    "test:jest": "jest --coverage --forceExit --detectOpenHandles --reporters=default --reporters=jest-junit",
    "test:jest-verbose": "yarn test:jest --verbose --silent=false",
    "test:lint": "eslint src --ext .ts",
    "test:prettier": "prettier \"src/**/*.ts\" --list-different",
    "test": "yarn test:lint && yarn test:prettier",
    "watch:build": "tsc -p tsconfig.json -w",
    "watch:test": "jest --watch --verbose --silent=false"
  }
}
